#!/bin/bash

source MODULES

# set -vx

# Define recipe and script
recipe=recipes/tests/recipe_seasonal_example.yml
script=modules/test_parallel_workflow.R

# Define tmp file to store necessary information
tmpfile=$(mktemp /tmp/test_split.XXXXXX)

# Create outdir and split recipes
Rscript modules/split.R ${recipe} | tee $tmpfile
outdir=$( tail -n 1 $tmpfile | sed 's/"//g' )
outdir=($outdir)

rm $tmpfile

# Create directory for slurm output
mkdir -p /esarchive/scratch/$(whoami)/tmp/auto-s2s-logs

## These will have to be separate scripts to work with autosubmit
## Create a tmpfile inside the projdir with a consistent name??
## '??' would be a chunk
# Launch one job per atomic recipe
for atomic_recipe in ${outdir[1]}/logs/recipes/atomic_recipe_??.yml; do
  sbatch run_parallel_workflow.sh ${script} ${atomic_recipe}
done
